%define upstream_name    Number-Nary
%define upstream_version 1.100312

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Encode and decode numbers as n-ary strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(UDCode)
BuildArch: noarch


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.100.312-7.mga6
+ Revision: 1031352
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.312-6.mga6
+ Revision: 948905
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.100.312-5.mga5
+ Revision: 788584
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.312-4.mga5
+ Revision: 744586
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.312-3.mga5
+ Revision: 685761
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.100.312-2.mga4
+ Revision: 539639
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 1.100.312-1.mga4
+ Revision: 492539
- update to 1.100312

* Sun Jan 13 2013 umeabot <umeabot> 1.100.311-2.mga3
+ Revision: 371004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.100.311-1.mga1
+ Revision: 28698
- mageia rebuild
- imported package perl-Number-Nary

